Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Naming_Context.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Service_Object.h"`
`#include "ace/Name_Space.h"`
`#include "ace/os_include/os_netdb.h"`

Include dependency graph for Naming_Context.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Naming_Context
| Maintaining accesses Name Server Databases. Allows to add NameBindings, change them, remove them and resolve NameBindings. More...
class | ACE_Name_Options
| Manages the options for the ACE Name_Server. More...

## Detailed Description

Id
  Naming_Context.h,v 4.37 2005/10/28 16:14:53 ossama Exp

Author:
  Gerhard Lenzer

  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Prashant Jain <pjain@uci.edu>